Bug 165588 - More DNS strangeness with NetworkManager
More DNS strangeness with NetworkManager
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-10 12:54 EDT by Christian Schaller
Modified: 2008-02-28 14:02 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-28 14:02:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Schaller 2005-08-10 12:54:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Epiphany/1.6.3

Description of problem:
Noticed that NetworkManager behaves strangely also at work, for some reason I am not able to reach local addresses by name through the NetworkManager DNS setup.
These two nslookup commands should display the problem.

nslookup thomas
Server:         127.0.0.1
Address:        127.0.0.1#53

** server can't find thomas: NXDOMAIN

nslookup thomas - 192.168.1.1
Server:         192.168.1.1
Address:        192.168.1.1#53

Name:   thomas.fluendo.lan
Address: 192.168.1.10

Version-Release number of selected component (if applicable):
NetworkManager-0.4-20.FC4.1

How reproducible:
Always

Steps to Reproduce:
The NetworkManager-named.conf looks like this:
// Named configuration, generated by NetworkManager

options {
        directory "/";
        query-source address * port *;
        forward only;
        forwarders { 192.168.1.1; };
        listen-on  { 127.0.0.1; };
        pid-file "/var/named/data/NetworkManager-pid-named";
};

// Disable rndc
controls { };

Actual Results:  So as you see the dns server set up by NetworkManager for some reason fails to give me results on local addresses.

Expected Results:  To compare external addresses works fine:
nslookup www.redhat.com
Server:         127.0.0.1
Address:        127.0.0.1#53

Non-authoritative answer:
Name:   www.redhat.com
Address: 209.132.177.50

nslookup www.redhat.com - 192.168.1.1
Server:         192.168.1.1
Address:        192.168.1.1#53

Non-authoritative answer:
Name:   www.redhat.com
Address: 209.132.177.50


Additional info:
Comment 1 Osma Ahvenlampi 2005-08-10 14:28:27 EDT
NetworkManager does put your DHCP's name-servers list to named's forwarders, but
what's in your /etc/resolv.conf? Should have "search fluendo.lan" there.
Comment 2 Christian Schaller 2005-08-11 04:21:19 EDT
; generated by NetworkManager, do not edit!

; Use a local caching nameserver controlled by NetworkManager

search fluendo.lan

nameserver 127.0.0.1
Comment 3 Dan Williams 2005-08-12 11:03:38 EDT
so after talking with Jason Vas Dias, it appears we either need to (a) kill
named completely and restart it, rather than giving it a SIGHUP, or (b) convert
to the new dbus-enabled named.  Obviously we want (b) for Rawhide, but for FC-4
I think we'll do (a).
Comment 4 Christian Iseli 2007-01-22 06:14:52 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 5 petrosyan 2008-02-28 14:02:44 EST
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.